NutzCN Logo
问答 最新下载的nutzwk 2.0工程在maven下载jar包时报错
发布于 1377天前 作者 qq_b3f2fbd4 977 次浏览 复制 上一个帖子 下一个帖子
标签: nutzwk

如何解决nutzwk 2.0工程当中的错误。
今日从https://github.com 网站下载nutzwk 2.0 工程,部署该工程时发现pom.xml文件当中有个jar报错,无法下载。附图也便更加直观:图片如下:
1_png
同时mail.json文件也全部都是红杠杠,运行时tomcat报错,报错图片如下:
3_png
不知道是我配置的maven版本有问题还是工程本身存在bug,故在此需求解决办法,谢谢!
说明:运行命令mvn -v 正常显示mvn版本号相关信息。mvn版本号为:apache maven 3.3.9

7 回复

ehcache 2.10.0 在中央库是存在的,下载不了是你本地网络的问题.

http://repo1.maven.org/maven2/net/sf/ehcache/ehcache/2.10.0/

至于MySessionListener, 在web.xml去掉相关声明吧, 反正已经废弃了.

2_png
那这个mail.json这些红杠杠是因为缺少echache这个jar包才报错的吗?而且echache把2.10.0换成2.9.0是可以下载的,这个又是什么原因呢?

@wendal

那这个mail.json这些红杠杠是因为缺少echache这个jar包才报错的吗?而且echache把2.10.0换成2.9.0是可以下载的,这个又是什么原因呢? 2_png

ehcache 2.10.0 能不能下载完全是你本地网络的问题, eclipse的maven默认只会下载一次, 除非update project里面选上强制刷新

至于mail.json报错,那是因为语法不对

文件名应该是js结尾才对:

var ioc = {
//.......................
};

json结尾的文件应该是这样:

{
// .... ... ...
}

至于为啥这样写但作者不去改, 原因估计是: 他自己的ide就没开校验(事实上我也不会开,各种乱报).

最后, 这种IDE报这种"错误", 不影响运行. 不爽就自行改成js结尾.

@wendal
update project试过好几次了 ,还是没用,我直接下载下来,把它放到lib下,和maven自动下载的效果是一样的吧?

@qq_b3f2fbd4 那还不如改成其他版本

@qq_b3f2fbd4 3.0已发布,使用3.0吧。

添加回复
请先登陆
回到顶部